System.Web 2.0.0.0 System.Web.UI.WebControls.DetailsViewRow System.Web.UI.INamingContainer

An instance of the is created to hold the pager controls in a control. The interface is a marker that indicates that the control is part of the object's control hierarchy.

This class is used primarily by control developers. Control developers can override the constructor and the and methods of the class to create a custom pager row.

Represents the pager row in a control.

- Constructor

  The constructor calls the base class constructor, , with the specified parameters. For a control in a control, the call is made with equal to -1, equal to , and equal to .

  Initializes a new instance of the class.

  The index of the row in the collection of the control.
  One of the enumeration values.
  One of the enumeration values.
  2.0.0.0